async function main() {
    const TEST_URL = "https://www.mozilla.org/en-US/privacy/firefox/";
    const source = await browser.tabs.create({ url: TEST_URL });
    
    browser.tabs.onUpdated.addListener(
        (tabId, changeInfo, tab) => {
            if (tabId === source.id) {
                return;
            }
            console.log(changeInfo);
        },
        { urls: [TEST_URL], properties: ["status", "title"] },
    );

    setTimeout(() => {
        browser.tabs.duplicate(source.id);
    }, 200);
}

main();
